Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wass.saml
Class Subject

    java.lang.Object
      org.deegree.ogcwebservices.wass.saml.Subject

    public class Subject

extends Object

Encapsulated data: Subject element Namespace: http://urn:oasis:names:tc.SAML:1.0:assertion

Since:
  2.0
Version:
  2.0, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Rutger Bezema, last edited by: $Author: mschneider $

Constructor Summary
`Subject(String name, String nameQualifier, URI format)`
`Subject(String name, String nameQualifier, URI format, URI[] confirmationMethods, String confirmationData)`
`Subject(URI[] confirmationMethods, String confirmationData)`

Method Summary
`String` | `getConfirmationData()`
`URI[]` | `getConfirmationMethods()`
`URI` | `getFormat()`
`String` | `getName()`
`String` | `getNameQualifier()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Subject

    public Subject(String name,
                   String nameQualifier,
                   URI format)

Parameters:
  `name` -
  `nameQualifier` -
  `format` -

### Subject

    public Subject(String name,
                   String nameQualifier,
                   URI format,
                   URI[] confirmationMethods,
                   String confirmationData)

Parameters:
  `name` -
  `nameQualifier` -
  `format` -
  `confirmationMethods` -
  `confirmationData` -

### Subject

    public Subject(URI[] confirmationMethods,
                   String confirmationData)

Parameters:
  `confirmationMethods` -
  `confirmationData` -

Method Detail

### getConfirmationData

    public String getConfirmationData()

  Returns:
    Returns the confirmationData.

### getConfirmationMethods

    public URI[] getConfirmationMethods()

  Returns:
    Returns the confirmationMethods.

### getFormat

    public URI getFormat()

  Returns:
    Returns the format.

### getName

    public String getName()

  Returns:
    Returns the name.

### getNameQualifier

    public String getNameQualifier()

  Returns:
    Returns the nameQualifier.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org